/**
 * File names, Folder names, Paths, and Reference constants
 */
// ---------- Common ----------
const distributionDirPath = `dist/`;
const configDirName = `config`;
const configFilesDirName = `files`;
const assetsDirPath = `${distributionDirPath}assets/`;
const imageDirPath = `${assetsDirPath}images/`;
const videoDirPath = `${assetsDirPath}videos/`;
const configDirPath = `${distributionDirPath}${configDirName}/`;
const configImageDirPath = `${configDirPath}assets/`;
const deviceBlockDiagramDirPath = `${configDirPath}homeInfo/assets/`;
const deviceToolMappingsPath = `${configDirPath}deviceToolMappings.json`;
const configFilesFolderPath = `${distributionDirPath}${configFilesDirName}/`;
const digitalFilterCalculationFilesFolderPath = `${distributionDirPath}digitalFilterCalculationFiles/`;
const codeConversionCalculationFilesFolderPath = `${distributionDirPath}codeConversionCalculationFiles/`;
const toolsInfo = {
  "crc": {
    name: "CRC Tool",
    desc: "Calculates the CRC byte",
  },
  "crc-s0x": {
    name: "CRC Tool",
    desc: "Calculates the CRC byte",
  },
  "code-conversion": {
    name: "Code Conversion Tool",
    desc: "Converts ADC raw codes to corresponding voltage",
  },
  "cm-range": {
    name: "CMR Tool",
    desc: "Calculates if an applied input signal will satisfy the absolute and differential input range requirements",
  },
  "digital-filter": {
    name: "Digital Filter Tool",
    desc: "Calculates the digital filter's frequency response",
  },
  "tue": {
    name: "TUE Calculator Tool",
    desc: "Calculate total unadjusted error (TUE) for different combinations of components",
  },
  "register-map": {
    name: "Register Map",
    desc: "List of register and bit fields",
  },
};
// ---------- Home ----------
const homeInfoDirName = `homeInfo`;
// ---------- CRC ----------
const CRC_IMPLEMENTATION_DIAGRAM_ID = "implementation_diagram";
// ---------- Digital filter ----------
const DIGITAL_FILTER_BLOCK_DIAGRAM_ID = "block_diagram";
// ---------- All JSON Configurations ----------
const COMMON_TAB_ID = "COMMON";
// ---------- Constants used for reference ----------
const HOME_CONFIG = "home";
const JSON_CONFIG = "json";
const CALCULATION_CONFIG = "calculation";
const PARAMETER_JSON_CONFIG = "parameterJson";
const SELECTED_DEVICE_SEARCH_PARAM = "device";
// ---------- General ----------
const COLORS = {
  black: "#000000",
  blue: "#4A7EBB",
  brilliantAzure: "#3399ff",
  darkBlue: "#1f497d",
  grey: "#ccc",
  maximumBlue: "#4bacc6",
  red: "#ff0000",
  white: "#fff",
};
const HTML_ENTITIES = {
  rightArrow: "&#11166;",
  leftArrow: "&#11164;",
};
const ICONS = {
  warningIcon: "⚠",
};

export { COLORS as C, DIGITAL_FILTER_BLOCK_DIAGRAM_ID as D, HTML_ENTITIES as H, ICONS as I, JSON_CONFIG as J, PARAMETER_JSON_CONFIG as P, SELECTED_DEVICE_SEARCH_PARAM as S, COMMON_TAB_ID as a, configDirPath as b, configImageDirPath as c, CALCULATION_CONFIG as d, configFilesFolderPath as e, HOME_CONFIG as f, digitalFilterCalculationFilesFolderPath as g, homeInfoDirName as h, codeConversionCalculationFilesFolderPath as i, imageDirPath as j, CRC_IMPLEMENTATION_DIAGRAM_ID as k, deviceToolMappingsPath as l, deviceBlockDiagramDirPath as m, toolsInfo as t, videoDirPath as v };

//# sourceMappingURL=p-3ab399ac.js.map