import { r as registerInstance, c as createEvent, h, g as getElement } from './p-597600b0.js';

const adsPopupCss = ":root{font-family:Roboto}.d-none{display:none}.v-hidden{visibility:hidden}.c-pointer{cursor:pointer}.disabled{cursor:not-allowed;opacity:0.6}.fw-bold{font-weight:bold}::-webkit-scrollbar-track{background-color:var(--color-ti-bg-grey);border-radius:5px}::-webkit-scrollbar{background-color:var(--color-ti-bg-grey);height:5px;width:5px}::-webkit-scrollbar-thumb{background-color:var(--color-ti-text-grey);border-radius:5px}.popup{height:100%;left:0;position:fixed;top:0;width:100%;z-index:1}.popup .close-icon{cursor:pointer;margin-right:1em;margin-top:1em}.popup>div{background:var(--color-ti-primary-white);height:90%;left:50%;position:relative;top:50%;transform:translate(-50%, -50%);width:90%}.popup .header{align-items:center;display:flex;height:4em;justify-content:flex-end}.popup::before{background-color:var(--color-ti-primary-black);content:\"\";height:100%;opacity:0.9;position:absolute;width:100%}::slotted(div){display:flex;height:calc(100% - 4em)}";

const AdsPopup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.popupClosed = createEvent(this, "popupClosed", 7);
    // ---------- Event handlers ----------
    /**
     * To close the popup
     */
    this.closePopup = () => {
      this.isShowPopup = false;
      this.popupClosed.emit();
    };
    this.isShowPopup = false;
  }
  render() {
    return (h("div", { class: "popup" + (this.isShowPopup ? "" : " d-none") }, h("div", { part: "popup-container" }, h("div", { class: "header" }, h("gc-widget-icon", { class: "close-icon", appearance: "custom", icon: "outlined:navigation:close", onClick: this.closePopup })), h("slot", { name: "content" }))));
  }
  get host() { return getElement(this); }
};
AdsPopup.style = adsPopupCss;

export { AdsPopup as ads_popup };

//# sourceMappingURL=p-89397180.entry.js.map